import { Store } from 'redux';
import { Plugin } from '../plugin';
import { Action } from './actions';
import { State } from './types';
export declare function createStore<K extends string>({ defaultPlugin, plugins, actions }: {
    plugins: Record<K, Plugin>;
    defaultPlugin: K;
    actions?: Action[];
}): {
    store: Store<State, Action>;
};
//# sourceMappingURL=store.d.ts.map